Core Weather

Autocomplete


Autocomplete by country code

GET
https://dataservice.accuweather.com
/locations/v1/{countryCode}/autocomplete

Search for locations with a country code and an incomplete city name. Use the q parameter to search any partial name.

Autocomplete by country code › path Parameters

countryCode
​string

A unique ISO or Microsoft Localization Code for a specific country. More information can be found here.

Example: US

Autocomplete by country code › query Parameters

q
​string · required

A string that indicates a partial city or point of interest name to search by.

Example: New York
language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
includeAliases
​boolean

A boolean indicating whether or not to include alias location results.

Default: false
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Autocomplete by country code › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Autocomplete by country code › Responses

OK

Version
​integer · int32 · required

Current version of the API

Key
​string · minLength: 1 · required

Unique ID to search a location

Type
​string · minLength: 1 · required

Location type such as City, PostalCode, POI or LatLong

Rank
​integer · int32 · required

Number applied to locations set by factors such as population, political importance, and geographic size

LocalizedName
​string · minLength: 1 · required

Display name in local dialect set with language code in URL. Default is US English (us-en)

​required

THe object containing the country details

​required

The object containing the amdministrative area details


Autocomplete for cities and points of interest

GET
https://dataservice.accuweather.com
/locations/v1/autocomplete

Search for cities or points of interest around the world with an incomplete text string. Use the q parameter to search any partial name.

The Autocomplete feature enhances the user experience by enabling intelligent and responsive location search capabilities:

  • Fully supports all language localizations.
  • Optimized for Latin-based languages to ensure the most accurate results.
  • Returns the top 10 verified city results, ordered by relevance rank.
  • Responses are truncated for Autocomplete queries to maintain speed and clarity.

Autocomplete for cities and points of interest › query Parameters

q
​string · required

A string that indicates a partial city or point of interest name to search by.

Example: New York
language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
countryCode
​string

A unique ISO or Microsoft Localization Code for a specific country. More information can be found here.

Example: US
includeAliases
​boolean

A boolean indicating whether or not to include alias location results.

Default: false
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Autocomplete for cities and points of interest › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Autocomplete for cities and points of interest › Responses

OK

Version
​integer · int32 · required

Current version of the API

Key
​string · minLength: 1 · required

Unique ID to search a location

Type
​string · minLength: 1 · required

Location type such as City, PostalCode, POI or LatLong

Rank
​integer · int32 · required

Number applied to locations set by factors such as population, political importance, and geographic size

LocalizedName
​string · minLength: 1 · required

Display name in local dialect set with language code in URL. Default is US English (us-en)

​required

THe object containing the country details

​required

The object containing the amdministrative area details


Autocomplete for points of interest by country code

GET
https://dataservice.accuweather.com
/locations/v1/poi/{countryCode}/autocomplete

Filter by country code and search for points of interest (POIs) using an incomplete text string. Use the q parameter to search any partial name.

A point of interest (POI) typically refers to a business location, tourist attraction, or other well-known site. Common examples include:

  • Airports
  • Stadiums
  • Parks

The Autocomplete feature enhances the user experience by enabling intelligent and responsive location search capabilities:

  • Fully supports all language localizations.
  • Optimized for Latin-based languages to ensure the most accurate results.
  • Returns the top 10 verified city results, ordered by relevance rank.
  • Responses are truncated for Autocomplete queries to maintain speed and clarity.

Autocomplete for points of interest by country code › path Parameters

countryCode
​string

A unique ISO or Microsoft Localization Code for a specific country. More information can be found here.

Example: US

Autocomplete for points of interest by country code › query Parameters

q
​string · required

A string that indicates a partial point of interest name to search by.

Example: New York
language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
includeAliases
​boolean

A boolean indicating whether or not to include alias location results.

Default: false
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Autocomplete for points of interest by country code › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Autocomplete for points of interest by country code › Responses

OK

Version
​integer · int32 · required

Current version of the API

Key
​string · minLength: 1 · required

Unique ID to search a location

Type
​string · minLength: 1 · required

Location type such as City, PostalCode, POI or LatLong

Rank
​integer · int32 · required

Number applied to locations set by factors such as population, political importance, and geographic size

LocalizedName
​string · minLength: 1 · required

Display name in local dialect set with language code in URL. Default is US English (us-en)

​required

THe object containing the country details

​required

The object containing the amdministrative area details


Autocomplete for points of interest

GET
https://dataservice.accuweather.com
/locations/v1/poi/autocomplete

Search for points of interest (POIs) using an incomplete text string. Use the q parameter to search any partial name.

A point of interest (POI) typically refers to a business location, tourist attraction, or other well-known site. Common examples include:

  • Airports
  • Stadiums
  • Parks

The Autocomplete feature enhances the user experience by enabling intelligent and responsive location search capabilities:

  • Fully supports all language localizations.
  • Optimized for Latin-based languages to ensure the most accurate results.
  • Returns the top 10 verified city results, ordered by relevance rank.
  • Responses are truncated for Autocomplete queries to maintain speed and clarity.

Autocomplete for points of interest › query Parameters

q
​string · required

A string that indicates a partial point of interest name to search by.

Example: New York
language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
countryCode
​string

A unique ISO or Microsoft Localization Code for a specific country. More information can be found here.

Example: US
includeAliases
​boolean

A boolean indicating whether or not to include alias location results.

Default: false
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Autocomplete for points of interest › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Autocomplete for points of interest › Responses

OK

Version
​integer · int32 · required

Current version of the API

Key
​string · minLength: 1 · required

Unique ID to search a location

Type
​string · minLength: 1 · required

Location type such as City, PostalCode, POI or LatLong

Rank
​integer · int32 · required

Number applied to locations set by factors such as population, political importance, and geographic size

LocalizedName
​string · minLength: 1 · required

Display name in local dialect set with language code in URL. Default is US English (us-en)

​required

THe object containing the country details

​required

The object containing the amdministrative area details


Autocomplete for cities by country code

GET
https://dataservice.accuweather.com
/locations/v1/cities/{countryCode}/autocomplete

Specify a country code and search for cities around the world with a incomplete text string. Use the q parameter to search any partial name.

The Autocomplete feature enhances the user experience by enabling intelligent and responsive location search capabilities:

  • Fully supports all language localizations.
  • Optimized for Latin-based languages to ensure the most accurate results.
  • Returns the top 10 verified city results, ordered by relevance rank.
  • Responses are truncated for Autocomplete queries to maintain speed and clarity.

Autocomplete for cities by country code › path Parameters

countryCode
​string

A unique ISO or Microsoft Localization Code for a specific country. More information can be found here.

Example: US

Autocomplete for cities by country code › query Parameters

q
​string · required

A string that indicates a partial city name to search by.

Example: New York
language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
includeAliases
​boolean

A boolean indicating whether or not to include alias location results.

Default: false
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Autocomplete for cities by country code › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Autocomplete for cities by country code › Responses

OK

Version
​integer · int32 · required

Current version of the API

Key
​string · minLength: 1 · required

Unique ID to search a location

Type
​string · minLength: 1 · required

Location type such as City, PostalCode, POI or LatLong

Rank
​integer · int32 · required

Number applied to locations set by factors such as population, political importance, and geographic size

LocalizedName
​string · minLength: 1 · required

Display name in local dialect set with language code in URL. Default is US English (us-en)

​required

THe object containing the country details

​required

The object containing the amdministrative area details


Autocomplete for cities

GET
https://dataservice.accuweather.com
/locations/v1/cities/autocomplete

Search for cities around the world with an incomplete text string. Use the q parameter to search any partial name.

The Autocomplete feature enhances the user experience by enabling intelligent and responsive location search capabilities:

  • Fully supports all language localizations.
  • Optimized for Latin-based languages to ensure the most accurate results.
  • Returns the top 10 verified city results, ordered by relevance rank.
  • Responses are truncated for Autocomplete queries to maintain speed and clarity.

Autocomplete for cities › query Parameters

q
​string · required

A string that indicates a partial city name to search by.

Example: New York
language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
countryCode
​string

A unique ISO or Microsoft Localization Code for a specific country. More information can be found here.

Example: US
includeAliases
​boolean

A boolean indicating whether or not to include alias location results.

Default: false
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Autocomplete for cities › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Autocomplete for cities › Responses

OK

Version
​integer · int32 · required

Current version of the API

Key
​string · minLength: 1 · required

Unique ID to search a location

Type
​string · minLength: 1 · required

Location type such as City, PostalCode, POI or LatLong

Rank
​integer · int32 · required

Number applied to locations set by factors such as population, political importance, and geographic size

LocalizedName
​string · minLength: 1 · required

Display name in local dialect set with language code in URL. Default is US English (us-en)

​required

THe object containing the country details

​required

The object containing the amdministrative area details